Skip to main content
GET
List all rules

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

page[size]
integer
default:25

The number of results that will be returned per page.

page[number]
integer

The page number to start the pagination from.

filter[trigger_on_any_condition]
string

Filter rules by whether only one condition must match for the rule to be applied.

filter[skip_other_rules_when_triggered]
string

Filter rules by whether they stop other rules from being processed when triggered.

filter[scope]
string

Filter rules by scope, BANK or TRANSFER.

filter[type]
string

Filter rules by legacy rule type, for example BANK or YNAB_TRANSFER_LINK. Deprecated: filter by scope instead.

Search for rules by commonly populated fields

Filter rules by transfer link ID. This will return rules that are attached to the specified transfer link.

Example:

759921679862647

filter[financial_account_id]
string

Filter rules by financial account ID. This will return rules that are attached to the specified financial account.

Example:

755065161760068

sort
enum<string>[]
Available options:
id,
-id,
name,
-name,
updated_at,
-updated_at,
created_at,
-created_at,
trigger_on_any_condition,
-trigger_on_any_condition,
skip_other_rules_when_triggered,
-skip_other_rules_when_triggered,
enabled,
-enabled,
conditions_count,
-conditions_count,
actions_count,
-actions_count,
attached_entities,
-attached_entities
include
enum<string>[]
Available options:
conditions,
conditions_count,
actions,
actions_count,
financial_accounts,
financial_accounts_count,
transfer_links,
transfer_links_count

Response

Paginated set of RuleResource

data
RuleResource · object[]
required
meta
object
required